libzypp 17.38.15

providespec.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Url.h>`
`#include <zypp-core/ByteCount.h>`
`#include <zypp-core/CheckSum.h>`
`#include <zypp-core/TriBool.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp-core/MirroredOrigin.h>`
`#include <zypp-media/ng/ProvideFwd>`
`#include <zypp-media/ng/HeaderValueMap>`
`#include <boost/iterator/iterator_adaptor.hpp>`

Go to the source code of this file.

## Classes
class | zyppng::ProvideMediaSpec
class | zyppng::ProvideFileSpec

## Namespaces
namespace | zyppng

## Functions
std::ostream & | zyppng::operator<< (std::ostream &str, const ProvideFileSpec &obj)
| relates: ProvideSpec Stream output
std::ostream & | zyppng::dumpOn (std::ostream &str, const ProvideFileSpec &obj)
| relates: ProvideSpec Verbose stream output